## ultimateultimateguitar 1.7

=== Makefile ===
.PHONY: mypy
mypy:
	MYPYPATH=stubs mypy --config-file mypy.conf ultimateultimateguitar

.PHONY: dist
dist:
	cd ..; tar -czvvf ultimateultimateguitar.tar.gz \
		ultimateultimateguitar/CHANGELOG \
		ultimateultimateguitar/LICENSE \
		ultimateultimateguitar/Makefile \
		ultimateultimateguitar/mypy.conf \
		ultimateultimateguitar/README.md \
		ultimateultimateguitar/requirements.txt \
		ultimateultimateguitar/stubs/ \
		ultimateultimateguitar/man/ \
		ultimateultimateguitar/*.py \
		ultimateultimateguitar/ultimateultimateguitar/*.py
	mv ../ultimateultimateguitar.tar.gz ultimateultimateguitar_`head -1 CHANGELOG`.orig.tar.gz
	gpg --detach-sign -a *.orig.tar.gz

deb-pkg: dist
	mv ultimateultimateguitar_`head -1 CHANGELOG`.orig.tar.gz* /tmp
	cd /tmp; tar -xf ultimateultimateguitar*.orig.tar.gz
	cp -r debian /tmp/ultimateultimateguitar/
	cd /tmp/ultimateultimateguitar/; dpkg-buildpackage --changes-option=-S
	install -d deb-pkg
	mv /tmp/ultimateultimateguitar_* deb-pkg
	$(RM) -r /tmp/ultimateultimateguitar
	lintian --pedantic -E --color auto -i -I deb-pkg/*.changes deb-pkg/*.deb

.PHONY: clean
clean:
	$(RM) -r deb-pkg
	$(RM) -r dist
	$(RM) -r ultimateultimateguitar.egg-info

=== debian/changelog ===
ultimateultimateguitar (1.7-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 09 Jun 2024 12:13:44 +0200

ultimateultimateguitar (1.6-2) unstable; urgency=low

  * Source only upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Jun 2024 19:29:18 +0200

ultimateultimateguitar (1.6-1) unstable; urgency=low

  * Initial release. (Closes: #1067050)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 08 Apr 2024 21:17:39 +0200

=== debian/control ===
Source: ultimateultimateguitar
Section: net
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3,
 dh-python,
 python3-setuptools,
 python3-typedload,
 python3-xtermcolor,
Standards-Version: 4.6.2
Homepage: https://codeberg.org/ltworf/ultimateultimateguitar
X-Python3-Version: >= 3.11
Vcs-Browser: https://codeberg.org/ltworf/ultimateultimateguitar
Rules-Requires-Root: no

Package: ultimateultimateguitar
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload,
 python3-xtermcolor
Description: This is a CLI (command line) client for ultimate-guitar.com
 It can be used to search songs and display them on the terminal.
 .
 It allows transposing.
 .
 This tool can be used by musicians who want to keep javascript disabled on
 their browser, and who want to quickly display songs without being
 overwhelmed by advertisement.

## ultimateultimateguitar 1.8

=== Makefile ===
--- 
+++ 
@@ -33,3 +33,11 @@
 	$(RM) -r deb-pkg
 	$(RM) -r dist
 	$(RM) -r ultimateultimateguitar.egg-info
+	$(RM) -r build
+
+.PHONY: upload
+upload:
+	$(RM) -r dist
+	./setup.py sdist
+	./setup.py bdist_wheel
+	twine upload --username __token__ --password `cat .token` dist/*

=== requirements.txt ===
typedload
xtermcolor

=== debian/changelog ===
ultimateultimateguitar (1.8-1) unstable; urgency=medium

  * New upstream release
  * Add Vcs-Git in d/control
  * Remove Rules-Requires-Root
  * Bump Standards-Version (no changes required)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 08 Nov 2025 16:15:11 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  python3-setuptools,
  python3-typedload,
  python3-xtermcolor,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/ltworf/ultimateultimateguitar
 X-Python3-Version: >= 3.11
 Vcs-Browser: https://codeberg.org/ltworf/ultimateultimateguitar
-Rules-Requires-Root: no
+Vcs-Git: https://codeberg.org/ltworf/ultimateultimateguitar.git
 
 Package: ultimateultimateguitar
 Architecture: all

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/ltworf/ultimateultimateguitar/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ultimateultimateguitar 1.9

=== requirements.txt ===
typedload
termcolor

=== debian/changelog ===
ultimateultimateguitar (1.9-1) unstable; urgency=medium

  * New upstream release
  * Swap xtermcolor with termcolor
  * Remove explicit dependencies from binary package

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 07 Dec 2025 14:34:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  python3-setuptools,
  python3-typedload,
- python3-xtermcolor,
+ python3-termcolor,
 Standards-Version: 4.7.2
 Homepage: https://codeberg.org/ltworf/ultimateultimateguitar
 X-Python3-Version: >= 3.11
@@ -17,8 +17,7 @@
 
 Package: ultimateultimateguitar
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload,
- python3-xtermcolor
+Depends: ${misc:Depends}, ${python3:Depends},
 Description: This is a CLI (command line) client for ultimate-guitar.com
  It can be used to search songs and display them on the terminal.
  .
